Bug 241473 - Mk/bsd.ruby.mk: Remove RUBY_PATCHLEVEL, RUBY_RELVERSION, RUBY_RELVERSION_CODE and RUBY_DISTVERSION
Summary: Mk/bsd.ruby.mk: Remove RUBY_PATCHLEVEL, RUBY_RELVERSION, RUBY_RELVERSION_CODE...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-24 15:36 UTC by Yasuhiro KIMURA
Modified: 2019-11-06 05:23 UTC (History)
3 users (show)

See Also:


Attachments
Patch file (3.15 KB, patch)
2019-10-24 15:36 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (4.04 KB, patch)
2019-10-27 07:32 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-10-24 15:36:37 UTC
Created attachment 208572 [details]
Patch file

Remove RUBY_PATCHLEVEL, RUBY_RELVERSION and RUBY_RELVERSION_CODE because

1. Since Ruby 2.1 value of RUBY_PATCHLEVEL has been 0. So it is meaningless.
2. If RUBY_PATCHLEVEL is deleted, RUBY_RELVERSION and RUBY_VERSION are always same value. And it also applies to RUBY_RELEVERSION_CODE and RUBY_VERSION_CODE.
3. RUBY_PATCHLEVEL is only used to set value of CPE_UPDATE in lang/ruby2[456]. And setting CPE_UPDATE is optional.
4. RUBY_RELEVERSION is only used to set value of CPE_VERSION in lang/ruby2[456]. But as is describled in 2, it can be replased with RUBY_VERSION.
5. RUBY_RELVERSION_CODE is not used anywhere.
Comment 1 Koichiro Iwao freebsd_committer 2019-10-25 12:18:03 UTC
+1

Ruby fellows, any concerns?
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-26 13:59:16 UTC
(In reply to Yasuhiro KIMURA from comment #0)

It's also on my list but there's minor difference.
Please remove RUBY_DISTVERSION as well.
Thanks!
Comment 3 Yasuhiro KIMURA 2019-10-27 07:32:53 UTC
Created attachment 208626 [details]
Updated patch file

Remove RUBY_DISTVERSION too. So please commit attached patch instead of original one.
Comment 4 Koichiro Iwao freebsd_committer 2019-10-29 05:17:22 UTC
Any other cocerns? If nothing, I'll commit this.
Comment 5 Yasuhiro KIMURA 2019-11-05 16:40:11 UTC
(In reply to Koichiro Iwao from comment #4)

Since it doesn't seem there are any other concerns, would you please commit this bug report now?
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-11-05 16:47:14 UTC
(In reply to Koichiro Iwao from comment #4)

Please go ahead.
Comment 7 commit-hook freebsd_committer 2019-11-06 05:21:56 UTC
A commit references this bug:

Author: meta
Date: Wed Nov  6 05:21:00 UTC 2019
New revision: 516858
URL: https://svnweb.freebsd.org/changeset/ports/516858

Log:
  Mk/bsd.ruby.mk: Remove RUBY_{PATCHLEVEL,RELVERSION,RELVERSION_CODE,RUBY_DISTVERSION}

  1. RUBY_PATCHLEVEL has been 0 since Ruby 2.1
  2. After RUBY_PATCHLEVEL is removed , RUBY_RELVERSION and RUBY_VERSION are always
     same value and it also applies to RUBY_RELEVERSION_CODE and RUBY_VERSION_CODE
  3. RUBY_PATCHLEVEL is only used to set value of CPE_UPDATE in lang/ruby2[456] and
     setting CPE_UPDATE is optional
  4. RUBY_RELEVERSION is only used to set value of CPE_VERSION in lang/ruby2[456]
     but as is describled in 2, it can be replased with RUBY_VERSION
  5. RUBY_RELVERSION_CODE is not used anywhere

  PR:		241473
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Reviewed by:	sunpoet

Changes:
  head/Mk/bsd.ruby.mk
Comment 8 Koichiro Iwao freebsd_committer 2019-11-06 05:23:41 UTC
Committed, thanks for your continuous contribution on FreeBSD Ruby!